extends Node3D


var pos = Vector2.ZERO
var y = 0

func _ready():
	pos.x = 0.3 # Replace with function body.
	pos.y = -1
	y = -0.5


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	if(transform.basis.x != 0.3 || transform.basis.z != -1):
		transform.basis.y = y + sin(1 * delta)
